LibreOffice: XDataProvider Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDataProvider Interface Reference

An application that provides data for a chart must implement this interface. More...

Inheritance diagram for XDataProvider:

## Public Member Functions
boolean | createDataSourcePossible ([in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| If `TRUE` is returned, a call to createDataSource with the same arguments must return a valid XDataSequence object.
XDataSource | createDataSource ([in] sequence< com::sun::star::beans::PropertyValue > aArguments) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a data source object that matches the given range representation string.
sequence< com::sun::star::beans::PropertyValue > | detectArguments ([in] XDataSource xDataSource)
| Tries to find out with what parameters the passed DataSource most probably was created.
boolean | createDataSequenceByRangeRepresentationPossible ([in] string aRangeRepresentation)
| If `TRUE` is returned, a call to createDataSequenceByRangeRepresentation with the same argument must return a valid XDataSequence object.
XDataSequence | createDataSequenceByRangeRepresentation ([in] string aRangeRepresentation) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a single data sequence for the given data range.
XDataSequence | createDataSequenceByValueArray ([in] string aRole, [in] string aValueArray, [in] string aRoleQualifier) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a single data sequence from the string value array representation.
com::sun::star::sheet::XRangeSelection | getRangeSelection ()
| Returns a component that is able to change a given range representation to another one.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

An application that provides data for a chart must implement this interface.

## Member Function Documentation

## ◆ createDataSequenceByRangeRepresentation()

XDataSequence createDataSequenceByRangeRepresentation | ( | [in] string | aRangeRepresentation | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a single data sequence for the given data range.

Parameters

  aRangeRepresentation | is a string that can be interpreted by the component that implements this interface. The representation string is of a form that may be used in the user interface.

See also
  createDataSource

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given range does not contain a valid range representation for a one-dimensional range of data.

## ◆ createDataSequenceByRangeRepresentationPossible()

boolean createDataSequenceByRangeRepresentationPossible | ( | [in] string | aRangeRepresentation | ) |

If `TRUE` is returned, a call to createDataSequenceByRangeRepresentation with the same argument must return a valid XDataSequence object.

If `FALSE` is returned, createDataSequenceByRangeRepresentation throws an exception.

## ◆ createDataSequenceByValueArray()

XDataSequence createDataSequenceByValueArray | ( | [in] string | aRole,
|  | [in] string | aValueArray,
|  | [in] string | aRoleQualifier
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Creates a single data sequence from the string value array representation.

Parameters

  aRole | The role of the sequence inside a data series. This may be any string. However some strings are predefined and should always be used in the same way.
  aValueArray | is a string that contains the value representation of the sequence to be created.
  aRoleQualifier | is a string that describes the role of the sequence. This may be any string. However some strings are predefined and should always be used in the same way.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given value array does not contain a valid value array representation.

## ◆ createDataSource()

XDataSource createDataSource | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aArguments | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Creates a data source object that matches the given range representation string.

This can be used for creating the necessary data for a new chart out of a previously selected range of cells in a spreadsheet.

Parameters

  aArguments | Arguments that tell the data provider how to slice the given range. The properties should be defined in a separate service.

For spreadsheets and text document tables there exists a service TabularDataProviderArguments describing valid values for this list.

Returns
  a data source containing DataSequences that span the entire region given in `aArguments`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | may be raised by the XDataProvider if it is unable to interpret the arguments passed in `aArguments` appropriately.

## ◆ createDataSourcePossible()

boolean createDataSourcePossible | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aArguments | ) |

If `TRUE` is returned, a call to createDataSource with the same arguments must return a valid XDataSequence object.

If `FALSE` is returned, createDataSource throws an exception.

## ◆ detectArguments()

sequence< com::sun::star::beans::PropertyValue > detectArguments | ( | [in] XDataSource | xDataSource | ) |

Tries to find out with what parameters the passed DataSource most probably was created.

if xDataSource is a data source that was created with createDataSource(), the arguments returned here should be the same than the ones passed to the function. Of course, this cannot be guaranteed. However, if detection is ambiguous, the returned arguments should be empty.

This method may merge representation strings together if adjacent ranges appear successively in the range identifiers. E.g., if the first range refers to "$Sheet1.$A$1:$A$8" and the second range refers to "$Sheet1.$B$1:$B$8", those should be merged together to "$Sheet1.$A$1:$B$8".

Parameters

  xDataSource | A data source containing all data used in a chart.

Returns
  Arguments that when being passed to createDataSource() should in an ideal case return the same data source as `xDataSource`.

## ◆ getRangeSelection()

com::sun::star::sheet::XRangeSelection getRangeSelection | ( |  | ) |

Returns a component that is able to change a given range representation to another one.

This usually is a controller-component that uses the GUI to allow a user to select a new range.

This method may return nothing, if it does not support range selection or if there is no current controller available that offers the functionality.

Returns
  The component for selecting a new range. It must support XComponent, in order to inform the receiver about its lifetime.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XDataProvider.idl